dep:
  - v_listes_1
src: |
  (
           SELECT v_listes_1.liste_id_combo AS oid,
              v_listes_1.texte,
              v_listes_1.lvl AS level,
              ('0'::text || v_listes_1.sort) || chr(1) AS sort,
                  CASE
                      WHEN v_listes_1.is_cti = '1'::text OR v_listes_1.code ~~ 'CTI_%'::text THEN '1'::character(1)
                      ELSE '0'::character(1)
                  END AS is_cti
             FROM activite.v_listes_1
            WHERE v_listes_1.table_code = 'REJETNOEMI'::text AND v_listes_1.lvl <> '0'::text
          UNION ALL
           SELECT ('LC'::text || lpad(t_classes.sequence::text, 2, '0'::text)) || t_classes.oid::text AS oid,
              t_classes.texte,
              '1'::text AS level,
              '4'::text || btrim(rpad(lpad(t_classes.sequence::text, 2, '0'::text), 10, ' '::text)) AS sort,
                  CASE
                      WHEN t_classes.is_cti = '1'::bpchar OR t_classes.code ~~ 'CTI_%'::text THEN '1'::character(1)
                      ELSE '0'::character(1)
                  END AS is_cti
             FROM activite.t_classes,
              activite.t_listes_tables
            WHERE t_classes.table_id = t_listes_tables.oid AND t_listes_tables.code = 'REJETNOEMI'::text
          UNION ALL
           SELECT ('LS'::text || lpad(t_classes.sequence::text, 2, '0'::text)) || t_classes_sections.oid::text AS oid,
              t_classes_sections.texte,
              '2'::text AS level,
              '4'::text || btrim(rpad(lpad(t_classes.sequence::text, 2, '0'::text), 10, ' '::text) || t_classes_sections.code) AS sort,
                  CASE
                      WHEN t_classes.is_cti = '1'::bpchar OR t_classes.code ~~ 'CTI_%'::text THEN '1'::character(1)
                      ELSE '0'::character(1)
                  END AS is_cti
             FROM activite.t_classes,
              activite.t_classes_sections,
              activite.t_listes_tables
            WHERE t_classes.table_id = t_listes_tables.oid AND t_classes_sections.classe_id = t_classes.oid AND t_listes_tables.code = 'REJETNOEMI'::text
          UNION ALL
           SELECT ('LS'::text || lpad(t_classes.sequence::text, 2, '0'::text)) || '0'::text AS oid,
              'Section non attribue'::character varying AS texte,
              '2'::text AS level,
              '4'::text || btrim(rpad(lpad(t_classes.sequence::text, 2, '0'::text), 10, ' '::text) || chr(255)) AS sort,
                  CASE
                      WHEN t_classes.is_cti = '1'::bpchar OR t_classes.code ~~ 'CTI_%'::text THEN '1'::character(1)
                      ELSE '0'::character(1)
                  END AS is_cti
             FROM activite.t_classes,
              activite.t_listes_tables
            WHERE t_classes.table_id = t_listes_tables.oid AND t_listes_tables.code = 'REJETNOEMI'::text
  ) UNION
   SELECT 'RJ'::text || t_rejets_noemie.oid::text AS oid,
      (t_rejets_noemie.code || ' '::text) ||
          CASE
              WHEN t_rejets_noemie.texte <> t_rejets_noemie.code THEN t_rejets_noemie.texte
              ELSE ''::text
          END AS texte,
      '1'::text AS level,
      '9'::text || t_rejets_noemie.code AS sort,
      '0'::character(1) AS is_cti
     FROM activite.t_rejets_noemie
    ORDER BY 4;